# DistributionBasePlugin

abstract class DistributionBasePlugin : Plugin<T>

A plugin that configures rules allowing projects to be packaged as a distribution.

As a base plugin, this plugin adds no distributions by default. The DistributionPlugin adds a `main` distribution as a convention.

#### Since

8.13

#### See also

<a href="https://docs.gradle.org/current/userguide/distribution_plugin.html">Distribution plugin reference</a>

## Constructors

DistributionBasePlugin
Link copied to clipboard
@Inject
constructor(instantiator: Instantiator, fileOperations: FileOperations, callbackActionDecorator: CollectionCallbackActionDecorator)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)